; mIRC - With SSL Support v1.51! (Using Stunnel)
; By Christopher R. Curzio (ccurzio@tampabay.rr.com)
; 
; mIRC was written by Khaled Mardam-Bey (www.mirc.com)
; Stunnel was written by Michal Trojnara (www.stunnel.org)
; 
; I do NOT claim to have written mIRC or Stunnel! I just 
; wrote the script that combines the two!
;
; modified for Crawling Chaos Labs (irc.yuggoth.org:994)
; by The Fungi <fungi@yuggoth.org>
; 
; usage: /load -rs mirc-ssl.mrc

alias secureirc {
  dialog -m secomm secomm
}

alias seconnect {
  run -n stunnel.exe -c -d localhost:6667 -r irc.yuggoth.org:994 
  server localhost 6667
}

dialog secomm {
  title "Secure IRC Connection"
  size -1 -1 300 130
  text "You are about to connect to a secure IRC network. An external program will be launched, and you will connect to a secure server.", 7, 12 20 270 50
  button "OK", 1, 95 90 50 25, ok 
  button "Cancel", 2, 155 90 50 25, cancel
}

on *:dialog:secomm:sclick:1: { seconnect }
on *:dialog:secomm:sclick:2: { return }
